

# BatchAssociateProjectAssets


**Important**  
The Amazon IoT SiteWise Monitor feature will no longer be open to new customers starting November 7, 2025 . If you would like to use the Amazon IoT SiteWise Monitor feature, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see [Amazon IoT SiteWise Monitor availability change](https://docs.amazonaws.cn/iot-sitewise/latest/appguide/iotsitewise-monitor-availability-change.html).

Associates a group (batch) of assets with an Amazon IoT SiteWise Monitor project.

## Request Syntax


```
POST /projects/projectId/assets/associate HTTP/1.1
Content-type: application/json

{
   "assetIds": [ "string" ],
   "clientToken": "string"
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [projectId](#API_BatchAssociateProjectAssets_RequestSyntax) **   <a name="iotsitewise-BatchAssociateProjectAssets-request-uri-projectId"></a>
The ID of the project to which to associate the assets.  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [assetIds](#API_BatchAssociateProjectAssets_RequestSyntax) **   <a name="iotsitewise-BatchAssociateProjectAssets-request-assetIds"></a>
The IDs of the assets to be associated to the project.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 100 items.  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$`   
Required: Yes

 ** [clientToken](#API_BatchAssociateProjectAssets_RequestSyntax) **   <a name="iotsitewise-BatchAssociateProjectAssets-request-clientToken"></a>
A unique case-sensitive identifier that you can provide to ensure the idempotency of the request. Don't reuse this client token if a new idempotent request is required.  
Type: String  
Length Constraints: Minimum length of 36. Maximum length of 64.  
Pattern: `\S{36,64}`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "assetId": "string",
         "code": "string",
         "message": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_BatchAssociateProjectAssets_ResponseSyntax) **   <a name="iotsitewise-BatchAssociateProjectAssets-response-errors"></a>
A list of associated error information, if any.  
Type: Array of [AssetErrorDetails](API_AssetErrorDetails.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
 Amazon IoT SiteWise can't process your request right now. Try again later.  
HTTP Status Code: 500

 ** InvalidRequestException **   
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.  
HTTP Status Code: 400

 ** LimitExceededException **   
You've reached the quota for a resource. For example, this can occur if you're trying to associate more than the allowed number of child assets or attempting to create more than the allowed number of properties for an asset model.  
For more information, see [Quotas](https://docs.amazonaws.cn/iot-sitewise/latest/userguide/quotas.html) in the * Amazon IoT SiteWise User Guide*.  
HTTP Status Code: 410

 ** ResourceNotFoundException **   
The requested resource can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
Your request exceeded a rate limit. For example, you might have exceeded the number of Amazon IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.  
For more information, see [Quotas](https://docs.amazonaws.cn/iot-sitewise/latest/userguide/quotas.html) in the * Amazon IoT SiteWise User Guide*.  
HTTP Status Code: 429

## See Also


For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iotsitewise-2019-12-02/BatchAssociateProjectAssets) 